#include "VarOrder.h"
#include "Sort.h"

struct VarOrder_lt {
    const vec<double>&  activity;
    bool operator () (Var x, Var y) { return activity[x] < activity[y]; }
    VarOrder_lt(const vec<double>&  act) : activity(act) { }
};

void VarOrder::updateAll(void)
{
    VarOrder_lt lt(activity);
    sort(order, lt);    // <= Should really use stable sort here.
    for (int i = 0; i < order.size(); i++)
        varpos[order[i]] = i;
    last_var = 0;
}
